summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-18 15:16:01 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-18 15:16:01 -0500
commitc61a05552d05b79bb1f8eeba4ed9dea0d8defa5c (patch)
tree93a6bf62a465c802b6c59a7a1d76d7a4bd02db4f /libraries
parente9bc0649c8676f84ca6bc8b4274c73552d78a23b (diff)
downloadslackbuilds-c61a05552d05b79bb1f8eeba4ed9dea0d8defa5c.tar.gz
slackbuilds-c61a05552d05b79bb1f8eeba4ed9dea0d8defa5c.tar.xz
libraries/libisoburn: Updated for version 0.6.32.
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libisoburn/README2
-rw-r--r--libraries/libisoburn/libisoburn.SlackBuild33
-rw-r--r--libraries/libisoburn/libisoburn.info6
3 files changed, 25 insertions, 16 deletions
diff --git a/libraries/libisoburn/README b/libraries/libisoburn/README
index feaba9bca0..8833696901 100644
--- a/libraries/libisoburn/README
+++ b/libraries/libisoburn/README
@@ -8,4 +8,4 @@ or any other CD layout which does not entirely consist of ISO-9660 sessions.
There is a comand line and dialog application xorriso which allows to use
large parts of libisoburn's feature set.
-Requirements: libisofs and libburn (both available at slackbuilds.org)
+This requires libisofs and libburn.
diff --git a/libraries/libisoburn/libisoburn.SlackBuild b/libraries/libisoburn/libisoburn.SlackBuild
index a3e1c365c1..9f6890a9c9 100644
--- a/libraries/libisoburn/libisoburn.SlackBuild
+++ b/libraries/libisoburn/libisoburn.SlackBuild
@@ -3,11 +3,20 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com.
PRGNAM=libisoburn
-VERSION=${VERSION:-0.5.0}
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-0.5.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,6 +31,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -45,6 +57,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --infodir=/usr/info \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-static=no \
--enable-debug=no \
@@ -55,18 +68,14 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/libisoburn/libisoburn.info b/libraries/libisoburn/libisoburn.info
index 5909dfc49f..107464d28c 100644
--- a/libraries/libisoburn/libisoburn.info
+++ b/libraries/libisoburn/libisoburn.info
@@ -1,8 +1,8 @@
PRGNAM="libisoburn"
-VERSION="0.5.0"
+VERSION="0.5.6"
HOMEPAGE="http://libburnia-project.org/wiki/Libisoburn"
-DOWNLOAD="http://files.libburnia-project.org/releases/libisoburn-0.5.0.pl00.tar.gz"
-MD5SUM="2f286ab1177e93340ac348de4bb9f37a"
+DOWNLOAD="http://files.libburnia-project.org/releases/libisoburn-0.5.6.pl00.tar.gz"
+MD5SUM="732558995da81cea01dcd14a36ce52fe"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"